#ifndef PARAMETERSETTINGSWIDGET_H
#define PARAMETERSETTINGSWIDGET_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "navlistwidget.h"
class PerWidget:public QWidget
{
    Q_OBJECT
public:
    PerWidget(QWidget * parent =NULL);
    ~PerWidget();
    void init();
    void initLay();
    void initConnect();
    void  setTextList(QStringList str,QStringList objNames);
    QLabel          m_labImage;
    QLabel          m_labTxt;
private:
    QLabel          m_labHighFrequencyFiltering;
    NavListWidget   m_NavListWidget;
};

class ParameterSettingsWidget:public QWidget
{
    Q_OBJECT
public:
    ParameterSettingsWidget(QWidget *parent = NULL);
    virtual ~ParameterSettingsWidget();
    void  init();
    void  initLay();
    bool  initConnect();

private:
    //参数设置
    QLabel          m_labSettingTxt;

    QLabel          m_labHighFrequencyFiltering;
    PerWidget       m_PerHighFreqWidget;

    //低频过滤
    QLabel          m_labLowerFrequencyFiltering;
    PerWidget       m_PerLowerFreqWidget;

    //时间常数
    QLabel          m_labTimeConst;
    PerWidget       m_PerTimeConst;

    //工频馅波 Power-frequency notch
    QLabel          m_labPowerFreNotch;
    PerWidget       m_PerPowerFreNotch;
    //波幅
    QLabel          m_labAmplitude;
    PerWidget       m_PerAmplitude;
    //Wave velocity
    //波速
    QLabel          m_labWavevelocity;
    PerWidget       m_PerWavevelocity;

    QPushButton      m_btncanCel;
    QPushButton      m_btnOK;
};



#endif // PARAMETERSETTINGSWIDGET_H
